Page MenuHomePhabricator

[analyzer] Mention whether an event is about a condition in a bug report part 2
ClosedPublic

Authored by Szelethus on Aug 4 2019, 12:21 PM.

Details

Summary

In D65724, I do a pretty thorough explanation about how I'm solving this problem, I think that summary nails whats happening here ;)

The actual message is kinda dumb here, but I figured that we'd have a couple rounds on word smithing anyways, so I uploaded this as is. Its probably good enough to gather some analysis data with.

Also, with some luck, this should the final technical patch regarding the first part of my GSoC ;)

Diff Detail

Repository
rL LLVM

Event Timeline

Szelethus created this revision.Aug 4 2019, 12:21 PM
NoQ accepted this revision.Aug 7 2019, 3:03 PM

Accept as long as we agree on the wording as part of D65575.

clang/test/Analysis/track-control-dependency-conditions.cpp
465 ↗(On Diff #213262)

Do i understand correctly that this test was passing previously, because expected-note matches substrings rather than the whole string? If we stick to the current wording, should we slowly switch to expected-note-re{{{{^}}...{{$}}}} in order to avoid such situations?

This revision is now accepted and ready to land.Aug 7 2019, 3:03 PM
Szelethus marked an inline comment as done.Aug 8 2019, 12:00 AM
Szelethus added inline comments.
clang/test/Analysis/track-control-dependency-conditions.cpp
465 ↗(On Diff #213262)

I was thinking about this as well. I could do that.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 21 2019, 3:37 PM